package com.sundot.airport.exam.common.model.result;

import com.sundot.airport.exam.domain.TestPaperQues;
import com.sundot.airport.exam.enums.QuesTypeEnum;

/**
 * <b>功能名：TestPaperQuesAndQues</b><br>
 * <b>说明：</b> 用于记录试卷题目计分规则和题目表的包装对象 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：</b><br>
 *
 * @author 2021-06-23 liangxiao
 */
public class TestPaperQuesAndQues extends TestPaperQues {

    /**
     * 题目类型
     * - SINGLE单选；MULTIPLE多选；JUDGMENT判断；FILL_BLANK填空；CONNECTION连线）
     */
    private QuesTypeEnum quType;

    /**
     * 题干内容
     */
    private String quContent;

    /**
     * 题目分类表业务主键
     */
    private String qcId;

    /**
     * 题目分类名称
     */
    private String qcName;

    /**
     * 题目选项个数
     */
    private Integer quOptCount;

    @Override
    public String toString() {
        return super.toString() + "TestPaperQuesAndQues{" +
                "quType=" + quType +
                ", quContent='" + quContent + '\'' +
                ", qcId='" + qcId + '\'' +
                ", qcName='" + qcName + '\'' +
                ", quOptCount=" + quOptCount +
                '}';
    }

    public QuesTypeEnum getQuType() {
        return quType;
    }

    public void setQuType(QuesTypeEnum quType) {
        this.quType = quType;
    }

    public String getQuContent() {
        return quContent;
    }

    public void setQuContent(String quContent) {
        this.quContent = quContent;
    }

    public String getQcId() {
        return qcId;
    }

    public void setQcId(String qcId) {
        this.qcId = qcId;
    }

    public String getQcName() {
        return qcName;
    }

    public void setQcName(String qcName) {
        this.qcName = qcName;
    }

    public Integer getQuOptCount() {
        return quOptCount;
    }

    public void setQuOptCount(Integer quOptCount) {
        this.quOptCount = quOptCount;
    }
}
